Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/mono: upgrade to v4.2.2.30

From: Jonathan Curran <jonathan_at_curran.in>
Date: Tue, 9 Feb 2016 16:40:14 +0000

http://www.mono-project.com/

Included fixes come from openSUSE mono factory
---
 testing/mono/APKBUILD                              | 43 +++++++++++++---------
 testing/mono/assume-UTC-if-no-TZ-set.patch         | 31 ----------------
 testing/mono/mono-nunit-default-runtime-4.5.patch  |  8 ++++
 .../mono/mono-un-revoke-fix-in-BNC-144655.patch    | 13 +++++++
 testing/mono/strncat-process-c.patch               | 11 ++++++
 5 files changed, 57 insertions(+), 49 deletions(-)
 delete mode 100644 testing/mono/assume-UTC-if-no-TZ-set.patch
 create mode 100644 testing/mono/mono-nunit-default-runtime-4.5.patch
 create mode 100644 testing/mono/mono-un-revoke-fix-in-BNC-144655.patch
 create mode 100644 testing/mono/strncat-process-c.patch
diff --git a/testing/mono/APKBUILD b/testing/mono/APKBUILD
index 34f1056..8f33900 100644
--- a/testing/mono/APKBUILD
+++ b/testing/mono/APKBUILD
_at_@ -1,8 +1,8 @@
 # Contributor: Carlo Landmeter <clandmeter_at_gmail.com>
 # Maintainer:
 pkgname=mono
-pkgver=4.0.4.1
-pkgrel=0
+pkgver=4.2.2.30
+pkgrel=1
 pkgdesc="Free implementation of the .NET platform including runtime and compiler"
 url="http://www.mono-project.com/"
 arch="all"
_at_@ -13,8 +13,10 @@ makedepends="$depends_dev python linux-headers paxmark autoconf automake libtool
 install=""
 subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
 source="http://download.mono-project.com/sources/mono/mono-${pkgver/_/~}.tar.bz2
-	assume-UTC-if-no-TZ-set.patch
 	arm-remove-sigcontext-include.patch
+	mono-nunit-default-runtime-4.5.patch
+	mono-un-revoke-fix-in-BNC-144655.patch
+	strncat-process-c.patch
 	"
 
 _builddir="$srcdir"/mono-${pkgver%.*}
_at_@ -31,7 +33,7 @@ prepare() {
 
 build() {
 	cd "$_builddir"
-	# set the minimum arch for x86 to prevent atmomic linker errors
+	# set the minimum arch for x86 to prevent atomic linker errors
 	[ "$CARCH" = "x86" ] && export CFLAGS="$CFLAGS -march=i586 -mtune=generic"
 	# autogen to fix supplied configure linker issues with make install
 	./autogen.sh \
_at_@ -42,15 +44,14 @@ build() {
 		--mandir=/usr/share/man \
 		--infodir=/usr/share/info \
 		--localstatedir=/var \
-		--disable-quiet-build \
-		--disable-system-aot \
-		--disable-static \
-		--with-mcs-docs=no \
 		--disable-boehm \
+		--enable-parallel-mark \
+		--with-mcs-docs=no \
 		--without-sigaltstack \
 		|| return 1
+	make get-monolite-latest
 	# dirty hack to set paxmark on grsec kernels
-	make || paxmark -mr mono/mini/.libs/lt-mono-sgen && make || return 1
+	make || paxmark -mr mono/mini/mono-sgen && make || return 1
 }
 
 package() {
_at_@ -61,12 +62,18 @@ package() {
 		| xargs paxmark -mr
 }
 
-md5sums="f598b60a664dfebb1a5eef3e66a9a178  mono-4.0.4.1.tar.bz2
-4a762b5e095baf78705d39fc2918fca7  assume-UTC-if-no-TZ-set.patch
-81b20f045bb906dd2ea99b4153365387  arm-remove-sigcontext-include.patch"
-sha256sums="ed11ed20ce5930c775af02bd41c43658bc9320f0bfd592fbb9895d95104dbcf9  mono-4.0.4.1.tar.bz2
-1be0b3ecf2949d79298f5b449b710a78610933f165fe2c10c37b84cf26383f56  assume-UTC-if-no-TZ-set.patch
-5e522d89b84a450d507d05b59a496d006963260f4a953c107488cc2187df83bc  arm-remove-sigcontext-include.patch"
-sha512sums="2f299e97dd3014c9d221677e73e5134a0c0a5b27e479fb60aabc2b3eddedf07f525f3a74194ccbfdf8efe63d7ea72850f8ee64d6f15f51bccd5db0df6c1b3722  mono-4.0.4.1.tar.bz2
-aa294f81fb7f5815ef37ad191e41766836e95bf3e0ce2592e6da88cbb6c2e408b2e4cbd9c81d39f3e575ba3f1590dba5abe26d8b465b56d3f25e228dbb0ddf70  assume-UTC-if-no-TZ-set.patch
-cc0382a1cba87fd2b76be46c6a2d28180cc489b10efe9359681fa85ce28d17e000dab0221f203f8f40a711fb6dddc3e39847cdf0a224344240a43d73971eccf8  arm-remove-sigcontext-include.patch"
+md5sums="2c5358041c931b8c1eabf0544565c9a3  mono-4.2.2.30.tar.bz2
+81b20f045bb906dd2ea99b4153365387  arm-remove-sigcontext-include.patch
+0643e579c4df750a4b416d30ab5d39b3  mono-nunit-default-runtime-4.5.patch
+e06fd0d4707927b23a6e736e7264bebb  mono-un-revoke-fix-in-BNC-144655.patch
+f6efdeacbd0524ba4f665bd4ca31178a  strncat-process-c.patch"
+sha256sums="57858cd033be9915d7abdc5158c1faae8fa05757c3b7117cab3d703aa696c56b  mono-4.2.2.30.tar.bz2
+5e522d89b84a450d507d05b59a496d006963260f4a953c107488cc2187df83bc  arm-remove-sigcontext-include.patch
+b3962f77c25bb933fe384aa734855942089871cb0eaf48ca73fde92536d5bf18  mono-nunit-default-runtime-4.5.patch
+14cfc87ce6722e5c9f1bf16272b05df2a8ee40b25aeea39b2558d203781f3767  mono-un-revoke-fix-in-BNC-144655.patch
+e3a88d0ab543660255b1c92185153bf12082e256933133fa2592a17dd43c17d3  strncat-process-c.patch"
+sha512sums="5aa93b362da84970310cc35bf02300718a20d2b508c263f45224d89f7aee84ead90c6fd7230ee2f17a2c02d480e3a8f7d2c9308cec0062a8f4c107f674a7c752  mono-4.2.2.30.tar.bz2
+cc0382a1cba87fd2b76be46c6a2d28180cc489b10efe9359681fa85ce28d17e000dab0221f203f8f40a711fb6dddc3e39847cdf0a224344240a43d73971eccf8  arm-remove-sigcontext-include.patch
+fdae91b30f7a44b11057842cdc8cbf4f2994bd7c32af4c521de20a51324153f921f5d3bc1c12ccb90ed63b82ac2766ee8f710a380c638a8bda640e158afefdb3  mono-nunit-default-runtime-4.5.patch
+b0895e97741836408903ebaa36c72080758ac23acbc63c4bb5e8ded99fad1fd77cc895a7b8144faed65b67cd0c7aecd7c0e88fb3be3bc3aa84d73acef4405c6a  mono-un-revoke-fix-in-BNC-144655.patch
+1095a78c178de8ce67fb99d08734d8128edabbc261b5badf3e5d4c6b63ca3062d3759ee975bc437e1701c8cd10f0b4407a1f4e17604922310d406e88a0cce866  strncat-process-c.patch"
diff --git a/testing/mono/assume-UTC-if-no-TZ-set.patch b/testing/mono/assume-UTC-if-no-TZ-set.patch
deleted file mode 100644
index ee89a3a..0000000
--- a/testing/mono/assume-UTC-if-no-TZ-set.patch
+++ /dev/null
_at_@ -1,31 +0,0 @@
-From cf4e7339e31d19e6934d7b8130f82697212ea39e Mon Sep 17 00:00:00 2001
-From: Marcin Cieslak <saper_at_saper.info>
-Date: Sun, 7 Jun 2015 20:14:47 +0000
-Subject: [PATCH] [corlib] Assume UTC if no $TZ set. Fixes #30360
-
-Don't throw System.TimeZoneNotFoundException
-if no $TZ is set and there is no /etc/localtime
-or similar file.
----
- mcs/class/corlib/System/TimeZoneInfo.cs | 6 +++---
- 1 file changed, 3 insertions(+), 3 deletions(-)
-
-diff --git a/mcs/class/corlib/System/TimeZoneInfo.cs b/mcs/class/corlib/System/TimeZoneInfo.cs
-index 717bfa7..6babee8 100644
---- a/mcs/class/corlib/System/TimeZoneInfo.cs
-+++ b/mcs/class/corlib/System/TimeZoneInfo.cs
-_at_@ -116,11 +116,11 @@ static TimeZoneInfo CreateLocal ()
- 
- 			try {
- 				return FindSystemTimeZoneByFileName ("Local", "/etc/localtime");	
--			} catch {
-+			} catch (TimeZoneNotFoundException) {
- 				try {
- 					return FindSystemTimeZoneByFileName ("Local", Path.Combine (TimeZoneDirectory, "localtime"));	
--				} catch {
--					return null;
-+				} catch (TimeZoneNotFoundException) {
-+					return Utc;
- 				}
- 			}
- 		}
diff --git a/testing/mono/mono-nunit-default-runtime-4.5.patch b/testing/mono/mono-nunit-default-runtime-4.5.patch
new file mode 100644
index 0000000..c05342f
--- /dev/null
+++ b/testing/mono/mono-nunit-default-runtime-4.5.patch
_at_@ -0,0 +1,8 @@
+--- ./data/mono-nunit.pc.in
++++ ./data/mono-nunit.pc.in
+_at_@ -6,4 +6,4 @@
+ Name: Mono NUnit
+ Description: Mono's version of NUnit
+ Version: _at_VERSION@
+-Libs: -r:${libdir}/mono/2.0/nunit.core.dll -r:${libdir}/mono/2.0/nunit.core.interfaces.dll -r:${libdir}/mono/2.0/nunit.core.extensions.dll -r:${libdir}/mono/2.0/nunit.framework.dll -r:${libdir}/mono/2.0/nunit.framework.extensions.dll -r:${libdir}/mono/2.0/nunit.mocks.dll -r:${libdir}/mono/2.0/nunit.util.dll -r:${libdir}/mono/2.0/nunit-console-runner.dll 
++Libs: -r:${libdir}/mono/4.5/nunit.core.dll -r:${libdir}/mono/4.5/nunit.core.interfaces.dll -r:${libdir}/mono/4.5/nunit.core.extensions.dll -r:${libdir}/mono/4.5/nunit.framework.dll -r:${libdir}/mono/4.5/nunit.framework.extensions.dll -r:${libdir}/mono/4.5/nunit.mocks.dll -r:${libdir}/mono/4.5/nunit.util.dll -r:${libdir}/mono/4.5/nunit-console-runner.dll 
diff --git a/testing/mono/mono-un-revoke-fix-in-BNC-144655.patch b/testing/mono/mono-un-revoke-fix-in-BNC-144655.patch
new file mode 100644
index 0000000..6a2d9f5
--- /dev/null
+++ b/testing/mono/mono-un-revoke-fix-in-BNC-144655.patch
_at_@ -0,0 +1,13 @@
+--- ./scripts/mono-find-provides.in
++++ ./scripts/mono-find-provides.in
+_at_@ -14,7 +14,7 @@ monolist=($(printf "%s\n" "${filelist[@]}" | egrep "\\.(exe|dll)\$"))
+
+ # Only include files with /gac/ in path
+ #  (Allows packages to contain private assemblies that don't conflict with other packages)
+-#monolist=($(printf "%s\n" "${monolist[_at_]}" | egrep "/gac/"))
++monolist=($(printf "%s\n" "${monolist[_at_]}" | egrep "/gac/"))
+ # Disabled... see ChangeLog
+
+ # Set the prefix, unless it is overriden (used when building mono rpms)
+--
+2.6.0
diff --git a/testing/mono/strncat-process-c.patch b/testing/mono/strncat-process-c.patch
new file mode 100644
index 0000000..b80fb30
--- /dev/null
+++ b/testing/mono/strncat-process-c.patch
_at_@ -0,0 +1,11 @@
+--- ./mono/metadata/process.c	2015-08-26 12:42:25.000000000 +0300
++++ ./mono/metadata/process.c	2015-08-29 15:49:25.369632846 +0300
+_at_@ -380,7 +380,7 @@ static MonoObject* get_process_module (M
+ 	char filename [80] = "[In Memory] ";
+ 	const char *modulename = assembly->aname.name;
+
+-	strncat (filename, modulename, 80);
++	strncat (filename, modulename, sizeof(filename)-strlen(filename)-1);
+
+ 	/* Build a System.Diagnostics.ProcessModule with the data.
+ 	 */
-- 
2.6.4
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Feb 09 2016 - 16:40:14 GMT